Subject: pdksh 5.2.13 now *works* (had to be fixed tho)
From: [email-masked] (Nicola Bernardini)

9 Feb 1998 19:12:45 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Some time ago

> From: [email-masked] (Dr. Volker Zell)
> [snip]
> Compilation of pdksh-5.2.13 worked out of the box without any errors:
> But when executing ksh.exe I got:
>
> /ksh.exe: 1: bad number `1=FB=DDGot 2
>

and Earnie Boyd  replied:

[snip]
>It appears to be a problem with the curses.  What is the TERM variable
>set to?

since I got the same problem and I needed the ksh for an application
I am porting under windows NT, I debugged the thing, found out what
the real problem was, and got pdksh up and running. In fact, the fix
is extremely small and I attach a patch at the bottom of this mail.
I have the binaries for pdksh but no ftp site where to put them:
if somebody is willing to host them, I'll be glad to send them up...

nicb
 -----------------------------------------------------------------------
-
Nicola Bernardini
E-mail: [email-masked]

Re graphics: A picture is worth 10K words -- but only those to describe
the picture.  Hardly any sets of 10K words can be adequately described
with pictures.
 ---feed to patch -p0------feed to patch -p0------feed to patch -p0---
 --- misc.c.orig	Mon Feb 09 12:25:56 1998
+++ misc.c	Mon Feb 09 12:26:29 1998
@@ -100,7 +100,9 @@
 		return 0;
 	ns = alloc(n + 1, ap);
 	ns[0] = '\0';
 -	return strncat(ns, s, n);
+	strncat(ns, s, n);
+	ns[n] = '\0';
+	return ns;
 }

 /* called from expand.h:XcheckN() to grow buffer */

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".